<template lang="pug">
div(v-if="user")
  .banner(:class="{ 'small': cover }")
    .columns.pagecontainer
      .col-11.col-mx-auto.grid
        .left-column
          Avatar.show-md(size="xxl" :name="name.substring(0, 2).toUpperCase()" :src="avatar && baseURL + avatar" squareUp=true)
          Avatar.hide-md(size="xxxl" :name="name.substring(0, 2).toUpperCase()" :src="avatar && baseURL + avatar" squareUp=true)
          .text-left#info
            .p-name {{ name }}
            .divider
            small.text-gray @{{ username }}
  .columns.pagenav
    ul.tab.tab-block
      li.tab-item
        nuxt-link(:to="localePath({ name: 'id', params: { id: '@' + username } })" exact-active-class="active") {{ $t('overview') }}
      li.tab-item
        nuxt-link(:to="localePath({ name: 'id-corpora', params: { id: '@' + username } })" exact-active-class="active") {{ $tc('corpus', 2) }}
</template>

<script>
import environment from '~/mixins/environment'

import Avatar from '~/components/Avatar'

export default {
  components: {
    Avatar
  },
  mixins: [environment],
  props: {
    cover: {
      type: String,
      default: ''
    },
    username: {
      type: String,
      default: '',
      required: true
    }
  },
  data() {
    return {
      user: null
    }
  },
  computed: {
    name() {
      if (this.user.profile && this.user.actor) {
        return this.user.profile.name !== ''
          ? this.user.profile.name
          : this.user.actor
          ? this.user.actor.preferredUsername
          : ''
      } else {
        return ''
      }
    },
    avatar() {
      return this.user.profile.avatar
    }
  },
  async created() {
    this.user = await this.$store.dispatch(
      'users/getUserByUsername',
      this.username
    )
  }
}
</script>

<style scoped>
.banner {
  background-position: 50% 35%;
  background-repeat: no-repeat;
  background-size: cover;
  background-size: 109px 109px, 109px 109px, 100% 6px, 109px 109px, 109px 109px;
  background-position: 54px 55px, 0px 0px, 0px 0px, 0px 0px, 0px 0px;
  height: 230px;
  max-height: 40vh;
  min-height: 150px;
  position: relative;

  border-bottom: 0.5px solid lightgray;
}

.small.banner {
  height: 150px;
}

.pagecontainer {
  height: 100%;
}
.pagenav {
  justify-content: center;
}

.grid {
  height: 100%;
  display: grid;
  max-width: 960px;
  grid-template-columns: minmax(0, 60%) minmax(0, 40%);
  grid-gap: 30px;
  align-items: flex-end;
}

.left-column {
  display: flex;
  align-items: flex-end;
}

#info {
  margin-left: 30px;

  padding: 5px 10px;
  background: rgb(var(--color-foreground));
  border-radius: 4px;
  margin-bottom: 20px;
}
#info .divider {
  margin: 0.1rem 0;
}

.tab-item:not(:first-child) {
  margin-left: 1rem;
}

figure {
  box-shadow: 0px -2px 10px 1px lightgrey;
}
</style>
